#include <stdio.h>
#include <string.h>


int char2int(char c)
{
	int l = 0;
	switch(c)
	{
		case '0': l=0; break;
		case '1': l=1; break;
		case '2': l=2; break;
		case '3': l=3; break;
		case '4': l=4; break;
		case '5': l=5; break;
		case '6': l=6; break;
		case '7': l=7; break;
		case '8': l=8; break;
		case '9': l=9; break;
	}
	return l;
}

void getChr(char D[10][5][3], int c, int s, char M[35][120], int* pos)
{
	int p = *pos;
	int i,l;
	
	/* line 1 */
	l = 0;
	M[l][p] = D[c][0][0];
	for(i=0; i<s; i++) M[l][p+1+i] = D[c][0][1];
	M[l][p+1+s] = D[c][0][2];
	M[l][p+1+s+1] = '\0';
	
	/* line 2 to s+1 */
	for(l=1; l<s+1; l++)
	{
		M[l][p] = D[c][1][0];
		for(i=0; i<s; i++) M[l][p+1+i] = D[c][1][1];
		M[l][p+1+s] = D[c][1][2];
		M[l][p+1+s+1] = '\0';
	}
	
	/* line s+2 */
	l = s+1;
	M[l][p] = D[c][2][0];
	for(i=0; i<s; i++) M[l][p+1+i] = D[c][2][1];
	M[l][p+1+s] = D[c][2][2];
	M[l][p+1+s+1] = '\0';
	
	/* line s+3 to 2*s+2 */
	for(l=s+2; l<2*s+2; l++)
	{
		M[l][p] = D[c][3][0];
		for(i=0; i<s; i++) M[l][p+1+i] = D[c][3][1];
		M[l][p+1+s] = D[c][3][2];
		M[l][p+1+s+1] = '\0';
	}
	
	/* line 2*s+3 */
	l = 2*s+2;
	M[l][p] = D[c][4][0];
	for(i=0; i<s; i++) M[l][p+1+i] = D[c][4][1];
	M[l][p+1+s] = D[c][4][2];
	M[l][p+1+s+1] = '\0';
	
	/* return */
	(*pos) += (s+2);
}

void getBlank(int s, char M[35][120], int* pos)
{
	int p = *pos;
	int l;
	
	/* adding blank col */
	for(l=0; l<2*s+3; l++)
	{
		M[l][p] = ' ';
		M[l][p+1] = '\0';
	}
	
	/* return */
	(*pos)++;
}

int main()
{
	int i;
	
	char matrix[35][120];
	char def[10][5][3] = {
				{
					{' ','-',' '},
					{'|',' ','|'},
					{' ',' ',' '},
					{'|',' ','|'},
					{' ','-',' '} },
				{
					{' ',' ',' '},
					{' ',' ','|'},
					{' ',' ',' '},
					{' ',' ','|'},
					{' ',' ',' '} },
				{
					{' ','-',' '},
					{' ',' ','|'},
					{' ','-',' '},
					{'|',' ',' '},
					{' ','-',' '} },
				{
					{' ','-',' '},
					{' ',' ','|'},
					{' ','-',' '},
					{' ',' ','|'},
					{' ','-',' '} },
				{
					{' ',' ',' '},
					{'|',' ','|'},
					{' ','-',' '},
					{' ',' ','|'},
					{' ',' ',' '} },
				{
					
					{' ','-',' '},
					{'|',' ',' '},
					{' ','-',' '},
					{' ',' ','|'},
					{' ','-',' '} },
				{
					
					{' ','-',' '},
					{'|',' ',' '},
					{' ','-',' '},
					{'|',' ','|'},
					{' ','-',' '} },
				{
					{' ','-',' '},
					{' ',' ','|'},
					{' ',' ',' '},
					{' ',' ','|'},
					{' ',' ',' '} },
				{
					
					{' ','-',' '},
					{'|',' ','|'},
					{' ','-',' '},
					{'|',' ','|'},
					{' ','-',' '} },
				{
					{' ','-',' '},
					{'|',' ','|'},
					{' ','-',' '},
					{' ',' ','|'},
					{' ','-',' '} } };

	int pos;
	char Num[9];
	int n;
	int s;
	
	FILE* f = fopen("lcd.in","r");
	
	
while(1)
{
	/* read */
	fscanf(f,"%d",&s); if( !s ) break;
	
	fscanf(f,"%s",Num);
	n = strlen(Num);
	
	/* generate */
	pos = 0;
	for(i=0;i<n;i++)
	{
		getChr(def,char2int(Num[i]),s,matrix,&pos);
		getBlank(s,matrix,&pos);
	}
	
	/* print */
	for(i=0;i<2*s+3;i++)
	{
		printf("%s\n",matrix[i]);
	}
	printf("\n");
	
} /* while */

	return 0;
}



